Page MenuHomePhabricator

Make number of days and number of changes settings sticky
Closed, ResolvedPublic

Description

This ticket clarifies that in the New Filters (as implemented on both RC page and Watchlist), it's our intention that the following settings will NOT be captured by "Saved filters" (bookmarking).That is, when a user bookmarks a group of settings, or saves that bookmark as a Default filter, the following will not be part of that group of saved settings:

  • Number of changes to show
  • Number of Days or Hours to search.

Furthermore, these two functions, and these functions only, will be "sticky," in the sense that they will remain at whatever setting a user sets them until the user changes them again—even if, for example, the user closes the tab and browser, shuts down, resets all preferences, etc.

To clarify, there are default preferences for both of these.* Those default preferences will apply to all new users and others who have not changed their settings. But as soon as a user changes either setting, the user's selection becomes, in effect, a hidden preference.

[*I believe the defaults are as follows: RC page, 7 days and 50 results; Watchlist, 3 days and 250 results when in Latest Revision mode. Currently there is no WL results limit when not in Latest Revision, but we are going to change that.]

Event Timeline

Etonkovidova added a subscriber: Etonkovidova.EditedJul 26 2017, 10:52 PM

@jmatazzoni

[Number of changes to show and Number of Days or Hours to search] will be "sticky," in the sense that they will remain at whatever setting a user sets them until the user changes them again—even if, for example, the user closes the tab and browser, shuts down, resets all preferences, etc.

It's a current behavior in both wmf.11 and wmf.10:
Change the settings for 'Number of changes to show' and 'Number of Days or Hours to search' on the RC page: change the filter(s), navigate away and return to Rc page via back browser button, reload the page, logout/log in (in the same browser) - the selected settings on RC page will be preserved.

Krinkle removed a subscriber: Krinkle.Jul 26 2017, 10:58 PM

Change 367716 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Create a sticky preference for days/limit groups

https://gerrit.wikimedia.org/r/367716

Change 367716 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Create a sticky preference for days/limit groups

https://gerrit.wikimedia.org/r/367716

Change 369538 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Unsticky the 'limit' preference temporarily

https://gerrit.wikimedia.org/r/369538

Change 369538 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Unsticky the 'limit' preference temporarily

https://gerrit.wikimedia.org/r/369538

Change 369570 had a related patch set uploaded (by Catrope; owner: Mooeypoo):
[mediawiki/core@wmf/1.30.0-wmf.12] RCFilters: Unsticky the 'limit' preference temporarily

https://gerrit.wikimedia.org/r/369570

Change 369570 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.12] RCFilters: Unsticky the 'limit' preference temporarily

https://gerrit.wikimedia.org/r/369570

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-08-01T23:26:37Z] <reedy@tin> Synchronized php-1.30.0-wmf.12/resources/src/mediawiki.rcfilters/mw.rcfilters.Controller.js: T172156 T171514 (duration: 00m 46s)

Checked in betalabs.
The RC page settings 'Show last changes' and the number of days become sticky and won't change when

  • the RC page is reloaded
  • a user navigates away from RC page and retursn back via a browser 'Back' button
  • a user logs out and logs in again
  • logging in a different browser

Those settings will change to Preferencces-RC options

  • when a user changes Preferencces-RC settings 'Days to show in recent changes...' and 'Number of edits to show...'
  • when a user clicks on 'Recent changes' link in the left navigation menu
  • when a user enters in the Search box Special:RecentChanges and go to the page

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Aug 2 2017, 1:54 AM